All Classes Namespaces Functions Variables Groups Pages
String Concatenation Encoding Codes

## Variables

const | Qore::CE_ALL = CE_ALL
| code for encoding everything More...
const | Qore::CE_HTML = CE_HTML
| code for encoding HTML 5 symbols as named character references More...
const | Qore::CE_NONASCII = CE_NONASCII
| code for encoding all non-ASCII symbols as numeric character references More...
const | Qore::CE_XHTML = CE_XHTML
| code for encoding XHTML entities More...
const | Qore::CE_XML = CE_XML
| code for encoding XML entities More...

## Detailed Description

See Also
  <string>::getEncoded()

Since
  Qore 0.8.12

## Variable Documentation

const Qore::CE_ALL = CE_ALL

code for encoding everything

See Also
  Qore::CD_ALL

const Qore::CE_HTML = CE_HTML

code for encoding HTML 5 symbols as named character references

encodes all HTML 5 symbols as named character references

Note
  to encode all non-ascii symbols as numeric character references as well, include Qore::CE_NONASCII in the bitfield

See Also
  Qore::CD_HTML

const Qore::CE_NONASCII = CE_NONASCII

code for encoding all non-ASCII symbols as numeric character references

using this code ensures that the resulting string has no non-ASCII characters

See Also
  Qore::CD_NUM_REF

const Qore::CE_XHTML = CE_XHTML

code for encoding XHTML entities

This code is a combination of Qore::CE_HTML and Qore::CE_XML

See Also
  Qore::CD_XHTML

const Qore::CE_XML = CE_XML

code for encoding XML entities

The following symbols are encoded:

- `'"'`: as `"&quot;"`
- `"&"`: as `"&amp;"`
- `"'"`: as `"&apos;"`
- `"<"`: as `"&lt;"`
- `">"`: as `"&gt;"`

Note
  `"'"` / `"&apos;"` is the only character not included in Qore::CE_HTML

See Also
  Qore::CD_XML